### Method

# GtkSource File set_mount_operation_factory

#### Declaration [src]

    void
    gtk_source_file_set_mount_operation_factory (
      GtkSourceFile* file,
      GtkSourceMountOperationFactory callback,
      gpointer user_data,
      GDestroyNotify notify
    )

#### Description [src]

Sets a `GtkSourceMountOperationFactory` function that will be called when a `GMountOperation` must be created.

This is useful for creating a `GtkMountOperation` with the parent `GtkWindow`.

If a mount operation factory isn’t set, `g_mount_operation_new()` will be called.

This method is not directly available to language bindings.

#### Parameters

`callback`

  Type: `GtkSourceMountOperationFactory`

  A `GtkSourceMountOperationFactory` to call when a `GMountOperation` is needed.

`user_data`

  Type: `gpointer`

  The data to pass to the `callback` function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`notify`

  Type: `GDestroyNotify`

  Function to call on `user_data` when the `callback` is no longer needed, or `NULL`.

  The argument can be `NULL`.